# RealToken.h File Reference

## Functions
real | GetRealToken (TMCiostream &stream)
void | GetPoint2DToken (TMCiostream &stream, TVector2 &v)
void | GetPoint2DToken (TMCiostream &stream, real *x, real *y)
void | GetRectToken (TMCiostream &stream, real &top, real &left, real &bot, real &right)
void | GetPoint3DToken (TMCiostream &stream, real *x, real *y, real *z)
void | GetPoint3DToken (TMCiostream &stream, TVector3 &v)
void | GetArrayToken (TMCiostream &stream, int32 nb, real *valArray)
void | GetMat33Token (TMCiostream &stream, TMatrix33 &mat)
void | PutRealAttribute (TMCiostream &stream, int32 keyword, real value)
void | PutPoint2DAttribute (TMCiostream &stream, int32 keyword, const TVector2 &v)
void | PutPoint2DAttribute (TMCiostream &stream, int32 keyword, real x, real y)
void | PutRectAttribute (TMCiostream &stream, int32 keyword, real top, real left, real bot, real right)
void | PutPoint3DAttribute (TMCiostream &stream, int32 keyword, const TVector3 &v)
void | PutPoint3DAttribute (TMCiostream &stream, int32 keyword, real x, real y, real z)
void | PutArrayAttribute (TMCiostream &stream, int32 keyword, int32 nb, const real *valArray)
void | PutMat33Attribute (TMCiostream &stream, int32 keyword, const TMatrix33 &mat)

## Function Documentation

void GetArrayToken | ( | TMCiostream & | stream,
|  | int32 | nb,
|  | real * | valArray |
| ) |  |  |

void GetMat33Token | ( | TMCiostream & | stream,
|  | TMatrix33 & | mat |
| ) |  |  |

void GetPoint2DToken | ( | TMCiostream & | stream,
|  | real * | x,
|  | real * | y |
| ) |  |  |

void GetPoint2DToken | ( | TMCiostream & | stream,
|  | TVector2 & | v |
| ) |  |  |

void GetPoint3DToken | ( | TMCiostream & | stream,
|  | TVector3 & | v |
| ) |  |  |

void GetPoint3DToken | ( | TMCiostream & | stream,
|  | real * | x,
|  | real * | y,
|  | real * | z |
| ) |  |  |

real GetRealToken | ( | TMCiostream & | stream | ) |

void GetRectToken | ( | TMCiostream & | stream,
|  | real & | top,
|  | real & | left,
|  | real & | bot,
|  | real & | right |
| ) |  |  |

void PutArrayAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | int32 | nb,
|  | const real * | valArray |
| ) |  |  |

void PutMat33Attribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TMatrix33 & | mat |
| ) |  |  |

void PutPoint2DAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | real | x,
|  | real | y |
| ) |  |  |

void PutPoint2DAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TVector2 & | v |
| ) |  |  |

void PutPoint3DAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | real | x,
|  | real | y,
|  | real | z |
| ) |  |  |

void PutPoint3DAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | const TVector3 & | v |
| ) |  |  |

void PutRealAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | real | value |
| ) |  |  |

void PutRectAttribute | ( | TMCiostream & | stream,
|  | int32 | keyword,
|  | real | top,
|  | real | left,
|  | real | bot,
|  | real | right |
| ) |  |  |